<template>
  <cover-section :cover-image="coverImage">
    <div class="border-4 border-white p-3">
      <div
        class="fx-overlay fx-ovl-color"
        :style="{
          '--fx-overlay-color': theme.colors.white,
          '--fx-overlay-opacity': 0.85,
        }"
      >
        <div class="relative z-10 px-8 py-8 md:py-10 lg:py-12">
          <h1 class="text-orange-900 text-xl md:text-3xl lg:text-4xl">
            <span v-html="tagline" />
          </h1>
        </div>
      </div>
    </div>
  </cover-section>
</template>

<script>
export default {
  name: 'HomeHeroSection',
  inject: ['theme'],
  props: {
    coverImage: {
      type: Object,
      default: () => ({ image: undefined, description: undefined }),
    },
    heading: { type: String, default: undefined },
  },
  computed: {
    tagline() {
      const separator = /\s*[|]\s*/g;
      return this.heading && this.heading.replace(separator, '<br>');
    },
  },
};
</script>
